# Accessible calendars

> **PRERELEASE**

#### Description
When authenticated as an account that has granted delegated authorization
through a [Business Connect authorization request](/developers/api-alpha/business-connect/request-authorization/index.md),
a list of accessible calendars can be requested.

This list may be a subset of those accessible to the account as most calendar
APIs do not provide the ability to enumerate all the calendars accessible by an
account.

#### URL format
```
{data_center_url}/v1/accessible_calendars
```

#### Example request
```http
GET /v1/accessible_calendars?profile_id={PROFILE_ID} HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "accessible_calendars": [
    {
      "calendar_type": "resource",
      "email": "board-room-london@example.com",
      "name": "Board room (London)"
    },
    {
      "calendar_type": "unknown",
      "email": "jane.doe@example.com",
      "name": "Jane Doe"
    },
    {
      "calendar_type": "unknown",
      "email": "alpha.team@example.com",
      "name": "Alpha Team"
    }
  ]
}
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `profile_id` *(required)*

This specifies the ID of the profile you wish to retrieve accessible calendars for.

##### `calendar_type` *(optional)*

When specified, filters the response to calendars that have a matching
`calendar_type` value.

#### Response parameters
##### `accessible_calendars.calendar_type`

The type of the calendar, when known.

Currently one of:

- `resource`

- `unknown`

This value will be `unknown` unless we can be certain of the type of calendar,
and may be expanded upon over time so you should tolerate values you do not
recognize.

##### `accessible_calendars.email`

The email address for the calendar.

May be used to obtain access tokens for the calendar via [Requesting Delegated Authorization](/developers/api-alpha/business-connect/delegated-authorization/index.md).

##### `accessible_calendars.name`

The name defined for the calendar by the Business Connect account.



---
[Read in HTML](/developers/api-alpha/business-connect/accessible-calendars/)